Debian Bug report logs - #441715
libscalar-properties-perl: package content changed if build twice or more times in a row

version graph

Package: libscalar-properties-perl; Maintainer for libscalar-properties-perl is Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>; Source for libscalar-properties-perl is src:libscalar-properties-perl.

Reported by: Patrick Winnertz <winnie@der-winnie.de>

Date: Mon, 10 Sep 2007 21:00:29 UTC

Severity: serious

Tags: patch

Found in version libscalar-properties-perl/0.12-1

Fixed in version libscalar-properties-perl/0.12-1.1

Done: Ana Beatriz Guerrero Lopez <ana@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#441715; Package libscalar-properties-perl. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@der-winnie.de>:
New Bug report received and forwarded. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@der-winnie.de>
To: maintonly@bugs.debian.org
Subject: libscalar-properties-perl: package content changed if build twice or more times in a row
Date: Mon, 10 Sep 2007 22:59:55 +0200
Package: libscalar-properties-perl
Severity: serious
Justification: Package content changed
Version: 0.12-1
User: debian-qa@lists.debian.org
Usertags: qa-debdiff

Hi,                                                                                                                                                                                                                           
                                                                                                                                                                                                                              
Lucas Nussbaum has rebuiltthe whole archive three times on i386 and the 
content of your packages builded there differ. This means that the package
which was generated on the fist build contains or doesn't contains several files 
which are or aren't included in the package which build two or three times.

See the report and the url for details:


Files in first .changes but not in second
-----------------------------------------
/usr/share/man/man3/Scalar::Properties.3pm.gz
/usr/share/perl5/Scalar/Properties.pm


The full build-log can be found at: http://people.debian.org/~lucas/logs/2007/doublebuild-09-05/failed-debdiff


About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems. All
packages have been rebuilt twice in a row, with unpack, build, clean,
build.

Please read the mail of Martin Zobel-Helas on debian-devel [0], for a explanation 
for this mass bug filling.


Greetings
Patrick Winnertz

[0]: http://lists.debian.org/debian-devel/2007/05/msg00490.html




Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#441715; Package libscalar-properties-perl. Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #10 received at 441715@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: 441715@bugs.debian.org
Subject: patch: typo in debian/rules
Date: Sun, 4 Nov 2007 09:25:38 -0500
[Message part 1 (text/plain, inline)]
tags 441715 patch
thanks

This is due to a typo in the debian/rules script.  Below is a patch which
fixes this bug.

thanks,
stew

--------------


diff -ruN libscalar-properties-perl-0.12.orig/debian/rules libscalar-properties-perl-0.12/debian/rules
--- libscalar-properties-perl-0.12.orig/debian/rules	2007-11-04 09:22:46.000000000 -0500
+++ libscalar-properties-perl-0.12/debian/rules	2007-11-04 09:23:00.000000000 -0500
@@ -19,7 +19,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install_stamp
+	rm -f build-stamp install-stamp
 	[ ! -f Makefile ] || $(MAKE) realclean
 	dh_clean
 
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. (Sun, 04 Nov 2007 14:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#441715; Package libscalar-properties-perl. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #17 received at 441715@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 441715@bugs.debian.org
Cc: "Mike O'Connor" <stew@vireo.org>
Subject: libscalar-properties-perl: diff for NMU version 0.12-1.1
Date: Sun, 13 Jan 2008 14:06:37 +0100
[Message part 1 (text/plain, inline)]
tags 441715 + patch
thanks

Hi,

Attached is the diff for my libscalar-properties-perl 0.12-1.1 NMU.
[libscalar-properties-perl-0.12-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 13:12:03 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patrick Winnertz <winnie@der-winnie.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 441715-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 441715-close@bugs.debian.org
Subject: Bug#441715: fixed in libscalar-properties-perl 0.12-1.1
Date: Sun, 13 Jan 2008 15:02:02 +0000
Source: libscalar-properties-perl
Source-Version: 0.12-1.1

We believe that the bug you reported is fixed in the latest version of
libscalar-properties-perl, which is due to be installed in the Debian FTP archive:

libscalar-properties-perl_0.12-1.1.diff.gz
  to pool/main/libs/libscalar-properties-perl/libscalar-properties-perl_0.12-1.1.diff.gz
libscalar-properties-perl_0.12-1.1.dsc
  to pool/main/libs/libscalar-properties-perl/libscalar-properties-perl_0.12-1.1.dsc
libscalar-properties-perl_0.12-1.1_all.deb
  to pool/main/libs/libscalar-properties-perl/libscalar-properties-perl_0.12-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 441715@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated libscalar-properties-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 14:04:27 +0100
Source: libscalar-properties-perl
Binary: libscalar-properties-perl
Architecture: source all
Version: 0.12-1.1
Distribution: unstable
Urgency: low
Maintainer: Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 libscalar-properties-perl - perl module to add run-time properties on scalar variables
Closes: 441715
Changes: 
 libscalar-properties-perl (0.12-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix RC bug.
   * Fix typo in debian/rules that makes the package does not contain the same
     when is built twice. Fix provided by Mike O'Connor. (Closes: #441715)
Files: 
 ca3c24b5ebb13c36761b06697437ff2e 724 perl optional libscalar-properties-perl_0.12-1.1.dsc
 563974d319906548044cbde7418dd0ca 2103 perl optional libscalar-properties-perl_0.12-1.1.diff.gz
 dba9aca6cb0426124f3abbcd362802e5 17656 perl optional libscalar-properties-perl_0.12-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHig00n3j4POjENGERAjUkAJ9mQw7RXaTDoF5Yzi0h5std3q9MlACfbK62
nPnSw8L7o6KY9xOiNcwXlCk=
=fUK9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 07:55:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:08:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.